Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::EdgeEnhanceSettingsObserver Class Reference

Edge enhancement settings observer. More...

Inheritance diagram for ArgusSamples::EdgeEnhanceSettingsObserver:

List of all members.

## Public Member Functions
| EdgeEnhanceSettingsObserver (Argus::IEdgeEnhanceSettings *iEdgeEnhanceSettings)
virtual | ~EdgeEnhanceSettingsObserver ()
virtual bool | isInterface (Argus::Interface *interface) const
| Check if this is the observer for the given interface.
Public Member Functions inherited from ArgusSamples::IObserverForInterface
virtual | ~IObserverForInterface ()

## Private Member Functions
bool | onEdgeEnhanceModeChanged (const Observed &source)
bool | onEdgeEnhanceStrengthChanged (const Observed &source)

## Private Attributes
Argus::IEdgeEnhanceSettings * | m_iEdgeEnhanceSettings

## Detailed Description

Edge enhancement settings observer.

Update Argus edge enhance settings when values change.

Definition at line 147 of file Dispatcher.cpp.

## Constructor & Destructor Documentation

ArgusSamples::EdgeEnhanceSettingsObserver::EdgeEnhanceSettingsObserver | ( | Argus::IEdgeEnhanceSettings * | iEdgeEnhanceSettings | ) |
| inline

Definition at line 150 of file Dispatcher.cpp.

virtual ArgusSamples::EdgeEnhanceSettingsObserver::~EdgeEnhanceSettingsObserver | ( |  | ) |
| inline virtual

Definition at line 163 of file Dispatcher.cpp.

## Member Function Documentation

virtual bool ArgusSamples::EdgeEnhanceSettingsObserver::isInterface | ( | Argus::Interface * | interface | ) | const
| inline virtual

Check if this is the observer for the given interface.

Parameters:

  interface | [in]

Implements ArgusSamples::IObserverForInterface.

Definition at line 175 of file Dispatcher.cpp.

bool ArgusSamples::EdgeEnhanceSettingsObserver::onEdgeEnhanceModeChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 181 of file Dispatcher.cpp.

bool ArgusSamples::EdgeEnhanceSettingsObserver::onEdgeEnhanceStrengthChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 198 of file Dispatcher.cpp.

## Member Data Documentation

Argus::IEdgeEnhanceSettings* ArgusSamples::EdgeEnhanceSettingsObserver::m_iEdgeEnhanceSettings
| private

Definition at line 215 of file Dispatcher.cpp.

The documentation for this class was generated from the following file:

- modules/Dispatcher.cpp